## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanReferenceCountedObject Class Reference

Class to hold reference count information. More...

Inheritance diagram for XalanReferenceCountedObject:

[legend]
List of all members.

## Static Public Member Functions

- void addReference (XalanReferenceCountedObject *theInstance)
    Increment reference count.
- void removeReference (XalanReferenceCountedObject *theInstance)
    Decrement reference count.

## Protected Member Functions

- XalanReferenceCountedObject ()
    Create a XalanReferenceCountedObject.
- virtual ~XalanReferenceCountedObject ()
- virtual void referenced ()=0
- virtual void dereferenced ()=0
- virtual unsigned int getReferenceCount () const

## Detailed Description

Class to hold reference count information.

## Constructor & Destructor Documentation

XalanReferenceCountedObject::XalanReferenceCountedObject | ( |  | ) | `[explicit, protected]`

| Create a XalanReferenceCountedObject.

virtual XalanReferenceCountedObject::~XalanReferenceCountedObject | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void XalanReferenceCountedObject::addReference | ( | XalanReferenceCountedObject * | theInstance | ) | `[static]`

| Increment reference count.

virtual void XalanReferenceCountedObject::dereferenced | ( |  | ) | `[protected, pure virtual]`

| Implemented in XObject, XToken, and XResultTreeFrag.

virtual unsigned int XalanReferenceCountedObject::getReferenceCount | ( |  | ) | const`[protected, virtual]`

virtual void XalanReferenceCountedObject::referenced | ( |  | ) | `[protected, pure virtual]`

| Implemented in XObject, and XToken.

void XalanReferenceCountedObject::removeReference | ( | XalanReferenceCountedObject * | theInstance | ) | `[static]`

| Decrement reference count.

The documentation for this class was generated from the following file:

- XalanReferenceCountedObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.